# PointGraphics

#### new Cesium.PointGraphics(options)
engine/Source/DataSources/PointGraphics.js 33

Describes a graphical point located at the position of the containing `Entity`.

Name | Type | Description
--- | --- | ---
`options` | PointGraphics.ConstructorOptions | optional Object describing initialization options

### Members

#### color : Property|undefined
engine/Source/DataSources/PointGraphics.js 105

Gets or sets the Property specifying the `Color` of the point.

Default Value: `Color.WHITE`

#### readonly definitionChanged : Event
engine/Source/DataSources/PointGraphics.js 69

Gets the event that is raised whenever a property or sub-property is changed or modified.

#### disableDepthTestDistance : Property|undefined
engine/Source/DataSources/PointGraphics.js 157

Gets or sets the distance from the camera at which to disable the depth test to, for example, prevent clipping against terrain. When set to zero, the depth test is always applied. When set to Number.POSITIVE_INFINITY, the depth test is never applied.

#### distanceDisplayCondition : Property|undefined
engine/Source/DataSources/PointGraphics.js 147

Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this point will be displayed.

#### heightReference : Property|undefined
engine/Source/DataSources/PointGraphics.js 97

Gets or sets the Property specifying the `HeightReference`.

Default Value: `HeightReference.NONE`

#### outlineColor : Property|undefined
engine/Source/DataSources/PointGraphics.js 113

Gets or sets the Property specifying the `Color` of the outline.

Default Value: `Color.BLACK`

#### outlineWidth : Property|undefined
engine/Source/DataSources/PointGraphics.js 121

Gets or sets the numeric Property specifying the the outline width in pixels.

Default Value: `0`

#### pixelSize : Property|undefined
engine/Source/DataSources/PointGraphics.js 89

Gets or sets the numeric Property specifying the size in pixels.

Default Value: `1`

#### scaleByDistance : Property|undefined
engine/Source/DataSources/PointGraphics.js 129

Gets or sets the `NearFarScalar` Property used to scale the point based on distance. If undefined, a constant size is used.

#### show : Property|undefined
engine/Source/DataSources/PointGraphics.js 81

Gets or sets the boolean Property specifying the visibility of the point.

Default Value: `true`

#### splitDirection : Property|undefined
engine/Source/DataSources/PointGraphics.js 167

Gets or sets the Property specifying the `SplitDirection` of this point.

Default Value: `SplitDirection.NONE`

#### translucencyByDistance : Property|undefined
engine/Source/DataSources/PointGraphics.js 140

Gets or sets `NearFarScalar` Property specifying the translucency of the point based on the distance from the camera. A point's translucency will interpolate between the `NearFarScalar#nearValue` and `NearFarScalar#farValue` while the camera distance falls within the lower and upper bounds of the specified `NearFarScalar#near` and `NearFarScalar#far`. Outside of these ranges the points's translucency remains clamped to the nearest bound.

### Methods

#### clone(result) → PointGraphics
engine/Source/DataSources/PointGraphics.js 176

Duplicates this instance.

Name | Type | Description
--- | --- | ---
`result` | PointGraphics | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new instance if one was not provided.

#### merge(source)
engine/Source/DataSources/PointGraphics.js 200

Assigns each unassigned property on this object to the value of the same property on the provided source object.

Name | Type | Description
--- | --- | ---
`source` | PointGraphics | The object to be merged into this object.

### Type Definitions

#### Cesium.PointGraphics.ConstructorOptions
engine/Source/DataSources/PointGraphics.js 7

Initialization options for the PointGraphics constructor

##### Properties:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`show` | Property | boolean | <optional> | true | A boolean Property specifying the visibility of the point.
`pixelSize` | Property | number | <optional> | 1 | A numeric Property specifying the size in pixels.
`heightReference` | Property | HeightReference | <optional> | HeightReference.NONE | A Property specifying what the height is relative to.
`color` | Property | Color | <optional> | Color.WHITE | A Property specifying the `Color` of the point.
`outlineColor` | Property | Color | <optional> | Color.BLACK | A Property specifying the `Color` of the outline.
`outlineWidth` | Property | number | <optional> | 0 | A numeric Property specifying the the outline width in pixels.
`scaleByDistance` | Property | NearFarScalar | <optional> |  | A `NearFarScalar` Property used to scale the point based on distance.
`translucencyByDistance` | Property | NearFarScalar | <optional> |  | A `NearFarScalar` Property used to set translucency based on distance from the camera.
`distanceDisplayCondition` | Property | DistanceDisplayCondition | <optional> |  | A Property specifying at what distance from the camera that this point will be displayed.
`disableDepthTestDistance` | Property | number | <optional> |  | A Property specifying the distance from the camera at which to disable the depth test to.
`splitDirection` | Property | SplitDirection | <optional> |  | A Property specifying the `SplitDirection` split to apply to this point.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.